Discover Page Posts by Username
curl --request POST \
--url https://api.brightdata.com/datasets/v3/scrape \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"input": [
{
"user_name": "<string>"
}
]
}
'import requests
url = "https://api.brightdata.com/datasets/v3/scrape"
payload = { "input": [{ "user_name": "<string>" }] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({input: [{user_name: '<string>'}]})
};
fetch('https://api.brightdata.com/datasets/v3/scrape', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"url": "https://www.facebook.com/reel/1417029756382510/",
"post_id": "1325707186087218",
"user_url": "https://www.facebook.com/delish",
"user_username_raw": "delish",
"content": "Sweet niblets! This just unlocked a childhood memory",
"date_posted": "2026-03-21T19:01:34.000Z",
"hashtags": null,
"num_comments": 1,
"num_shares": 2,
"num_likes_type": { "num": 34, "type": "Like" },
"page_name": "Delish",
"profile_id": "100059438474191",
"page_intro": "Fun eats every day of the week.",
"page_category": "News & media website",
"page_logo": "https://...",
"page_external_website": "likeshop.me/delish",
"page_likes": null,
"page_followers": 21000000,
"page_is_verified": true,
"original_post": { "user_avatar_image": null },
"attachments": [
{
"attachment_url": "https://...",
"id": "1417029756382510",
"thumbnail_url": "https://...",
"type": "Video",
"url": "https://...",
"video_length": "15509",
"video_url": "https://..."
}
],
"page_url": "https://www.facebook.com/delish",
"header_image": "https://...",
"avatar_image_url": "https://...",
"profile_handle": "delish",
"is_sponsored": false,
"shortcode": "1325707186087218",
"video_view_count": 24093,
"likes": 39,
"post_type": "Reel",
"following": 19,
"count_reactions_type": [
{ "reaction_count": 34, "type": "Like" },
{ "reaction_count": 4, "type": "Haha" }
],
"is_page": true,
"play_count": 45717
}
]
Facebook
Discover page posts by username
Use the Bright Data Web Scraper API to discover Page Posts by Username. Calls the POST /datasets/v3/scrape endpoint and returns a snapshot ID.
POST
/
datasets
/
v3
/
scrape
Discover Page Posts by Username
Query Parameters
string
default:"gd_lkaxegm826bjpoo9m5"
required
The dataset ID used for this request.
Must be set to
gd_lkaxegm826bjpoo9m5 to collect Facebook page posts data.boolean
default:false
Whether to send notifications when the request is completed.
boolean
default:true
Whether to include errors in the response.
Request Body
object[]
required
[
{
"url": "https://www.facebook.com/reel/1417029756382510/",
"post_id": "1325707186087218",
"user_url": "https://www.facebook.com/delish",
"user_username_raw": "delish",
"content": "Sweet niblets! This just unlocked a childhood memory",
"date_posted": "2026-03-21T19:01:34.000Z",
"hashtags": null,
"num_comments": 1,
"num_shares": 2,
"num_likes_type": { "num": 34, "type": "Like" },
"page_name": "Delish",
"profile_id": "100059438474191",
"page_intro": "Fun eats every day of the week.",
"page_category": "News & media website",
"page_logo": "https://...",
"page_external_website": "likeshop.me/delish",
"page_likes": null,
"page_followers": 21000000,
"page_is_verified": true,
"original_post": { "user_avatar_image": null },
"attachments": [
{
"attachment_url": "https://...",
"id": "1417029756382510",
"thumbnail_url": "https://...",
"type": "Video",
"url": "https://...",
"video_length": "15509",
"video_url": "https://..."
}
],
"page_url": "https://www.facebook.com/delish",
"header_image": "https://...",
"avatar_image_url": "https://...",
"profile_handle": "delish",
"is_sponsored": false,
"shortcode": "1325707186087218",
"video_view_count": 24093,
"likes": 39,
"post_type": "Reel",
"following": 19,
"count_reactions_type": [
{ "reaction_count": 34, "type": "Like" },
{ "reaction_count": 4, "type": "Haha" }
],
"is_page": true,
"play_count": 45717
}
]
Was this page helpful?
⌘I